export declare const PropsLine: {
    /**
     * prop: 'line-width'
     * Draw line width in px
     */
    lineWidth: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * prop: 'line-color'
     * Draw line color or gradient array
     */
    lineColor: {
        type: (StringConstructor | ArrayConstructor)[];
        default: string;
    };
    /**
     * prop: 'fft-size'
     * Represents the window size in samples that is used when performing
     * a Fast Fourier Transform (FFT) to get frequency domain data.
     * Must be power of 2 between 2^5 and 2^15
     * Default: 128
     */
    fftSize: {
        type: NumberConstructor;
        default: number;
    };
    src: {
        type: StringConstructor;
        default: null;
    };
    audioControls: {
        type: BooleanConstructor;
        default: boolean;
    };
    corsAnonym: {
        type: BooleanConstructor;
        default: boolean;
    };
    canvWidth: {
        type: NumberConstructor;
        default: number;
    };
    canvHeight: {
        type: NumberConstructor;
        default: number;
    };
    canvFillColor: {
        type: (StringConstructor | ArrayConstructor)[];
        default: string;
    };
    placeholder: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare type PropsLineType = typeof PropsLine;
export declare function makeLineProps(): PropsLineType;
export declare class Line {
    canvWidth: number;
    canvHeight: number;
    canvFillColor: string | string[];
    lineWidth: number;
    lineColor: string | string[];
    fftSize: number;
    placeholder: boolean;
    constructor(p: PropsLineType);
}
